/*
  Test.h - Test library for Wiring - implementation
  Copyright (c) 2006 John Doe.  All right reserved.
*/



// include this library's description file
#include "Oslo_Demo.h"
#include <Arduino.h>
#include <Wire.h>
//#include <TM1637Display.h>








// Constructor /////////////////////////////////////////////////////////////////
// Function that handles the creation and setup of instances



Oslo_Demo::Oslo_Demo(int givenValue)
{
  //value = givenValue;
  // do whatever is required to initialize the library
  

  
}

// Public Methods //////////////////////////////////////////////////////////////
// Functions available in Wiring sketches, this library, and other libraries

void Oslo_Demo::doSomething(void)
{
  // eventhough this function is public, it can access
  // and modify this library's private variables
  Serial.print("value is ");
  Serial.println(value);

  // it can also call private functions of this library
  doSomethingSecret();
}



// Private Methods /////////////////////////////////////////////////////////////
// Functions only available to other functions in this library

void Oslo_Demo::doSomethingSecret(void)
{
  digitalWrite(13, HIGH);
  delay(200);
  digitalWrite(13, LOW);
  delay(200);
}

